Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# RString Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
union {
struct {
long len
char * ptr
union {
long capa
VALUE shared
} aux
} heap
char ary [RSTRING_EMBED_LEN_MAX+1]
} | as

## Detailed Description

Definition at line 633 of file ruby.h.

## Field Documentation

char RString::ary[RSTRING_EMBED_LEN_MAX+1]

Definition at line 644 of file ruby.h.

Referenced by rb_sym_all_symbols().

union { ... } RString::as

Referenced by gc_mark_children(), and rb_intern3().

union { ... } ::@31 RString::aux

struct RBasic RString::basic

Definition at line 634 of file ruby.h.

Referenced by rb_intern3().

long RString::capa

Definition at line 640 of file ruby.h.

struct { ... } RString::heap

Referenced by gc_mark_children(), and rb_intern3().

long RString::len

Definition at line 637 of file ruby.h.

char* RString::ptr

Definition at line 638 of file ruby.h.

VALUE RString::shared

Definition at line 641 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h